PETSc version 3.17.4
Fix/Edit manual page

# VecLockReadPop

Pops a read-only lock from a vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockReadPop(Vec x)

Logically Collective on Vec

### Input Parameter

| x | - the vector

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockReadPush(), VecLockGet()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages